LaserModel Class Reference

## Public Member Functions

void | ClearRanges ()
void | AddRange (double, double)
void | PreCompute ()
double | RangeProb (double, double)
double | PoseProb ()
| LaserModel (mapgrid **)

## Private Attributes

mapgrid ** | map
double | range_cov
double | range_bad
int | lut_size
double | lut_res
double * | lut_probs
int | range_count
laser_range_t * | ranges

The documentation for this class was generated from the following files:

- lasermodel.h
- lasermodel.cpp

Last updated 12 September 2005 21:38:45